Bug 1871324 - dcn20_resource.c:3194 dcn20_validate_bandwidth_fp+0x7a/0xb0 [amdgpu]
Summary: dcn20_resource.c:3194 dcn20_validate_bandwidth_fp+0x7a/0xb0 [amdgpu]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-22 10:25 UTC by Nils Tonnätt
Modified: 2021-05-25 16:40 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:40:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Nils Tonnätt 2020-08-22 10:25:58 UTC
Description of problem:
It's the last remaining kernel bug I encounter with my AMD RX5500. Every kernel before 5.8 had more bugs or didn't even boot.

Version-Release number of selected component (if applicable):
kernel-5.8.2-300.fc32

How reproducible:
I didn't find a trigger for this yet.

Actual results:
[ 1458.362205] ------------[ cut here ]------------
[ 1458.362304] WARNING: CPU: 3 PID: 1709 at drivers/gpu/drm/amd/amdgpu/../display/dc/dcn20/dcn20_resource.c:3194 dcn20_validate_bandwidth_fp+0x7a/0xb0 [amdgpu]
[ 1458.362305] Modules linked in: uinput xt_CHECKSUM xt_MASQUERADE xt_conntrack ipt_REJECT nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_mangle iptable_raw iptable_security rfkill ip_set nf_tables nfnetlink ip6table_filter ip6_tables iptable_filter sunrpc vfat fat snd_seq_midi snd_seq_midi_event intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp mei_hdcp kvm_intel ee1004 iTCO_wdt intel_pmc_bxt iTCO_vendor_support kvm snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg snd_usb_audio snd_hda_codec irqbypass snd_hda_core rapl intel_cstate intel_uncore snd_usbmidi_lib snd_rawmidi snd_hwdep snd_seq snd_seq_device snd_pcm pcspkr mxm_wmi i2c_i801 mc mei_me
[ 1458.362323]  snd_timer i2c_smbus mei snd soundcore acpi_pad ip_tables amdgpu iommu_v2 gpu_sched crct10dif_pclmul i2c_algo_bit crc32_pclmul ttm crc32c_intel drm_kms_helper cec ghash_clmulni_intel nvme drm serio_raw nvme_core r8169 xhci_pci xhci_pci_renesas wmi video fuse [last unloaded: minix]
[ 1458.362332] CPU: 3 PID: 1709 Comm: gnome-shell Tainted: G            E     5.8.2-300.fc32.x86_64 #1
[ 1458.362333] Hardware name: MSI MS-7A74/B250M PRO-VD(MS-7A74), BIOS 1.60 10/31/2017
[ 1458.362421] RIP: 0010:dcn20_validate_bandwidth_fp+0x7a/0xb0 [amdgpu]
[ 1458.362423] Code: 00 7b 35 22 85 a8 1e 00 00 75 2f 31 d2 f2 0f 11 85 d8 25 00 00 48 89 ee 4c 89 e7 e8 a0 f6 ff ff 89 c2 22 95 a8 1e 00 00 75 2a <0f> 0b 48 89 9d d8 25 00 00 5b 5d 41 5c c3 75 c9 48 89 9d d8 25 00
[ 1458.362424] RSP: 0018:ffffb0b1c1defb08 EFLAGS: 00010246
[ 1458.362425] RAX: 0000000000000001 RBX: 4079400000000000 RCX: 0000000000080842
[ 1458.362425] RDX: 0000000000000000 RSI: a03d58876074676b RDI: 000000000002f1a0
[ 1458.362426] RBP: ffff9aa7fb4e0000 R08: ffff9aa9407b5000 R09: ffff9aaa7e660000
[ 1458.362427] R10: ffff9aa9407b5000 R11: 0000000100000001 R12: ffff9aaa7e660000
[ 1458.362427] R13: ffff9aa91a894a00 R14: ffff9aa7fb4e0000 R15: ffff9aaa7e660000
[ 1458.362428] FS:  00007f82adfc1d00(0000) GS:ffff9aaa8ed80000(0000) knlGS:0000000000000000
[ 1458.362429] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 1458.362430] CR2: 000026503e1f1f60 CR3: 000000083fc62004 CR4: 00000000003606e0
[ 1458.362430] Call Trace:
[ 1458.362510]  dcn20_validate_bandwidth+0x24/0x40 [amdgpu]
[ 1458.362582]  dc_validate_global_state+0x29a/0x320 [amdgpu]
[ 1458.362658]  amdgpu_dm_atomic_check+0xef5/0xfc0 [amdgpu]
[ 1458.362662]  ? __ww_mutex_lock.constprop.0+0x22/0x740
[ 1458.362663]  ? do_softirq_own_stack+0x39/0x50
[ 1458.362681]  drm_atomic_check_only+0x55a/0x7d0 [drm]
[ 1458.362695]  ? drm_connector_list_iter_next+0x81/0xb0 [drm]
[ 1458.362706]  drm_atomic_commit+0x13/0x50 [drm]
[ 1458.362717]  drm_atomic_connector_commit_dpms+0xda/0x100 [drm]
[ 1458.362730]  drm_mode_obj_set_property_ioctl+0x159/0x2d0 [drm]
[ 1458.362733]  ? change_protection+0xe02/0xe70
[ 1458.362743]  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
[ 1458.362753]  drm_ioctl_kernel+0x86/0xd0 [drm]
[ 1458.362764]  drm_ioctl+0x206/0x390 [drm]
[ 1458.362775]  ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
[ 1458.362777]  ? selinux_file_ioctl+0x122/0x1c0
[ 1458.362827]  amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
[ 1458.362830]  ksys_ioctl+0x82/0xc0
[ 1458.362832]  __x64_sys_ioctl+0x16/0x20
[ 1458.362834]  do_syscall_64+0x52/0x90
[ 1458.362836]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[ 1458.362838] RIP: 0033:0x7f82b1bae3bb
[ 1458.362839] Code: 0f 1e fa 48 8b 05 dd aa 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d ad aa 0c 00 f7 d8 64 89 01 48
[ 1458.362840] RSP: 002b:00007fff70400508 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 1458.362841] RAX: ffffffffffffffda RBX: 00007fff70400540 RCX: 00007f82b1bae3bb
[ 1458.362841] RDX: 00007fff70400540 RSI: 00000000c01864ba RDI: 0000000000000009
[ 1458.362842] RBP: 00000000c01864ba R08: 0000000000000003 R09: 00000000c0c0c0c0
[ 1458.362842] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000009
[ 1458.362843] R13: 0000000000000009 R14: 0000000000000002 R15: 0000000000000003
[ 1458.362845] ---[ end trace 9f9ef105856cecca ]---

Comment 1 Fedora Program Management 2021-04-29 16:36:16 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-05-25 16:40:16 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.